# Interface SelectableIconHolder

All Superinterfaces:
  `IconHolder`

All Known Implementing Classes:
  `Button, CheckBox, FloatingActionButton, LikeButton, MultiButton, Picker, RadioButton, ScaleImageButton, ShareButton, SpanButton, SpanMultiButton`

public interface SelectableIconHolder extends IconHolder
An interface that is implemented by "selectable" components that hold icons, such as `Button`, `SpanButton`, `MultiButton`, etc... This interface includes methods for managing different icons for different component states (e.g. pressed, disabled, etc..).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Image`
  `getDisabledIcon()`
  Indicates the icon that is displayed on the button when the button is in the disabled state
  `Image`
  `getIconFromState()`
  Returns the icon for the button based on its current state
  `Image`
  `getPressedIcon()`
  Indicates the icon that is displayed on the button when the button is in pressed state
  `Image`
  `getRolloverIcon()`
  Indicates the icon that is displayed on the button when the button is in rolled over state
  `Image`
  `getRolloverPressedIcon()`
  Indicates the icon that is displayed on the button when the button is in pressed state and is selected.
  `void`
  `setDisabledIcon(Image disabledIcon)`
  Indicates the icon that is displayed on the button when the button is in the disabled state
  `void`
  `setPressedIcon(Image pressedIcon)`
  Indicates the icon that is displayed on the button when the button is in pressed state
  `void`
  `setRolloverIcon(Image rolloverIcon)`
  Indicates the icon that is displayed on the button when the button is in rolled over state
  `void`
  `setRolloverPressedIcon(Image rolloverPressedIcon)`
  Indicates the icon that is displayed on the button when the button is in pressed state and is selected.

  ### Methods inherited from interface IconHolder

  `getGap, getIcon, getIconStyleComponent, getIconUIID, getTextPosition, setFontIcon, setGap, setIcon, setIconUIID, setMaterialIcon, setTextPosition`

- ## Method Details

  - ### getRolloverIcon

    Image getRolloverIcon()

    Indicates the icon that is displayed on the button when the button is in rolled over state

    ###### Returns

    icon used

    ###### See also

    - Button#STATE_ROLLOVER

  - ### setRolloverIcon

    void setRolloverIcon(Image rolloverIcon)

    Indicates the icon that is displayed on the button when the button is in rolled over state

    ###### Parameters

    - `rolloverIcon`: icon to use

    ###### See also

    - Button#STATE_ROLLOVER

  - ### getPressedIcon

    Image getPressedIcon()

    Indicates the icon that is displayed on the button when the button is in pressed state

    ###### Returns

    icon used

    ###### See also

    - Button#STATE_PRESSED

  - ### setPressedIcon

    void setPressedIcon(Image pressedIcon)

    Indicates the icon that is displayed on the button when the button is in pressed state

    ###### Parameters

    - `pressedIcon`: icon used

    ###### See also

    - Button#STATE_PRESSED

  - ### getDisabledIcon

    Image getDisabledIcon()

    Indicates the icon that is displayed on the button when the button is in the disabled state

    ###### Returns

    icon used

  - ### setDisabledIcon

    void setDisabledIcon(Image disabledIcon)

    Indicates the icon that is displayed on the button when the button is in the disabled state

    ###### Parameters

    - `disabledIcon`: icon used

  - ### getRolloverPressedIcon

    Image getRolloverPressedIcon()

    Indicates the icon that is displayed on the button when the button is in pressed state and is selected. This is ONLY applicable to toggle buttons

    ###### Returns

    icon used

  - ### setRolloverPressedIcon

    void setRolloverPressedIcon(Image rolloverPressedIcon)

    Indicates the icon that is displayed on the button when the button is in pressed state and is selected. This is ONLY applicable to toggle buttons

    ###### Parameters

    - `rolloverPressedIcon`: icon used

  - ### getIconFromState

    Image getIconFromState()

    Returns the icon for the button based on its current state

    ###### Returns

    the button icon based on its current state